# NlaTrack(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``NlaTrack`(bpy_struct)

  A animation layer containing Actions referenced as NLA strips

  `active`

    NLA Track is active

    Type: | boolean, default False, (readonly)

  `is_solo`

    NLA Track is evaluated itself (i.e. active Action and all other NLA Tracks in the same AnimData block are disabled)

    Type: | boolean, default False

  `lock`

    NLA Track is locked

    Type: | boolean, default False

  `mute`

    Disable NLA Track evaluation

    Type: | boolean, default False

  `name`

    Type: | string, default “”, (never None)

  `select`

    NLA Track is selected

    Type: | boolean, default False

  `strips`

    NLA Strips on this NLA-track

    Type: | `NlaStrips` `bpy_prop_collection` of `NlaStrip`, (readonly)

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`AnimData.nla_tracks` `NlaTracks.active` `NlaTracks.new` | `NlaTracks.new` `NlaTracks.remove`